/***************************************************************************/
/*										*/
/*			  	PROXIM RANGELAN2 LOW LEVEL DRIVER		*/
/*				(c) Copyright PROXIM, INC. 1994			*/
/*					All Rights Reserved			*/
/*										*/
/***************************************************************************/

/*********************************************************************/
/*										*/
/* These are the prototype definitions for "asm.c"				*/
/*										*/
/*********************************************************************/


extern unsigned_8 LLDIntLine1;
extern char *VideoBase;
#define CopyMemory( Destination,Source,Length ) memcpy( Destination,Source,Length )
#define SetMemory( Destination,Value,Length) memset(Destination,Value,Length)

void		Delay (unsigned_16 millitime);
void		Delay_uS (unsigned_16 microtime);

void		Beep (unsigned_16 Frequency);

void		OutChar (unsigned_8 Character, unsigned_8 ColorCode);
void  		OutString (char *string, unsigned_8 ColorCode);
void		OutHex  (unsigned_8 HexByte, unsigned_8 ColorCode);
void  		OutHexW (unsigned_16 HexWord, unsigned_8 ColorCode);
void  		OutHexL (unsigned_32 HexLong, unsigned_8 ColorCode);

FLAGS		PreserveFlag (void);
void		DisableInterrupt (void);
void		EnableInterrupt (void);
void		RestoreFlag (FLAGS OrigFlag);

void 		_outp(ADDRESS_SIZE Reg, unsigned_8 Val);
void 		_outpw(ADDRESS_SIZE Reg, unsigned_16 Val);
unsigned_8 	_inp(ADDRESS_SIZE Reg);
unsigned_16 	_inpw(ADDRESS_SIZE Reg);
